# Class NMRMLReader

java.lang.Object
jspecview.source.NMRMLReader

All Implemented Interfaces:
  `SourceReader`

public class NMRMLReader extends Object
Representation of an nmrML Source.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`attrList`
`protected String`
`casName`
`protected String`
`casRN`
`protected boolean`
`continuous`
`protected double`
`deltaX`
`protected SB`
`errorLog`
`protected int`
`evspoints`
`protected String`
`filePath`
`protected double`
`firstX`
`protected double`
`firstY`
`protected String`
`identifier`
`protected boolean`
`increasing`
`protected int`
`ivspoints`
`protected double`
`lastX`
`protected String`
`LocContact`
`protected String`
`LocName`
`protected String`
`LongDate`
`protected String`
`modelType`
`protected String`
`molForm`
`protected int`
`npoints`
`protected double`
`obFreq`
`protected String`
`obNucleus`
`protected String`
`origin`
`protected String`
`owner`
`protected XMLParser`
`parser`
`protected String`
`pathlength`
`protected String`
`plLabel`
`protected double`
`refPoint`
`protected String`
`resLabel`
`protected String`
`resolution`
`protected String`
`sampleID`
`protected int`
`samplenum`
`protected String`
`sampleowner`
`protected int`
`sampleRefNum`
`protected JDXSource`
`source`
`protected String`
`strObFreq`
`protected String`
`tagName`
`protected String`
`techname`
`protected String`
`title`
`protected String`
`tmpEnd`
`protected String`
`vendor`
`protected double[]`
`xaxisData`
`protected double`
`xFactor`
`protected String`
`xUnits`
`protected double[]`
`yaxisData`
`protected double`
`yFactor`
`protected String`
`yUnits`

## Constructor Summary

Constructors
Constructor
Description
`NMRMLReader()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`checkPointCount()`
`protected void`
`checkStart()`
`protected void`
`getSimpleXmlReader(BufferedReader br)`
`JDXSource`
`getSource(String filePath, BufferedReader br)`
`protected JDXSource`
`getXML(BufferedReader br)`
`protected void`
`populateVariables()`
`protected void`
`process(int tagId, boolean requiresEndTag)`
Process the audit XML events
`protected void`
`processEndTag(int tagId)`
`protected void`
`processErrors(String type)`
`protected boolean`
`processTag(int tagId)`
Process the XML events.
`protected void`
`processXML(int i0, int i1)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### source

protected JDXSource source

### filePath

protected String filePath

### parser

protected XMLParser parser

### tagName

protected String tagName

### attrList

protected String attrList

### title

protected String title

### owner

protected String owner

### origin

protected String origin

### tmpEnd

protected String tmpEnd

### molForm

protected String molForm

### techname

protected String techname

### npoints

protected int npoints

### samplenum

protected int samplenum

### yaxisData

protected double[] yaxisData

### xaxisData

protected double[] xaxisData

### xUnits

protected String xUnits

### yUnits

protected String yUnits

### vendor

protected String vendor

### modelType

protected String modelType

### LongDate

protected String LongDate

### pathlength

protected String pathlength

### identifier

protected String identifier

### plLabel

protected String plLabel

### resolution

protected String resolution

### resLabel

protected String resLabel

### LocName

protected String LocName

### LocContact

protected String LocContact

### casName

protected String casName

### sampleowner

protected String sampleowner

### obNucleus

protected String obNucleus

### strObFreq

protected String strObFreq

### increasing

protected boolean increasing

### continuous

protected boolean continuous

### ivspoints

protected int ivspoints

### evspoints

protected int evspoints

### sampleRefNum

protected int sampleRefNum

### deltaX

protected double deltaX

### xFactor

protected double xFactor

### yFactor

protected double yFactor

### firstX

protected double firstX

### lastX

protected double lastX

### firstY

protected double firstY

### obFreq

protected double obFreq

### refPoint

protected double refPoint

### casRN

protected String casRN

### sampleID

protected String sampleID

### errorLog

protected SB errorLog

## Constructor Details

### NMRMLReader

public NMRMLReader()

## Method Details

### getXML

protected JDXSource getXML(BufferedReader br)

### processTag

protected boolean processTag(int tagId) throws Exception
Process the XML events. Invoked for every start tag. Invoked by the superclass method XMLSource.process(tagId, requiresEndTag)

Parameters:
  `tagId` -
Returns:
  true to continue looking for encapsulated tags false to process once only (no encapsulated tags of interest)
Throws:
  `Exception`

### processEndTag

protected void processEndTag(int tagId) throws Exception

Throws:
  `Exception`

### getSource

public JDXSource getSource(String filePath, BufferedReader br)

Specified by:
  `getSource` in interface `SourceReader`

### getSimpleXmlReader

protected void getSimpleXmlReader(BufferedReader br)

### checkStart

protected void checkStart() throws Exception

Throws:
  `Exception`

### populateVariables

protected void populateVariables()

### checkPointCount

protected boolean checkPointCount()

### processErrors

protected void processErrors(String type)

### processXML

protected void processXML(int i0, int i1) throws Exception

Throws:
  `Exception`

### process

protected void process(int tagId, boolean requiresEndTag)
Process the audit XML events

Parameters:
  `tagId` -
  `requiresEndTag` -